def calc_roundcube_family(families):
    if not families:
        return
    uniq_fam = set(families)
    if len(set(families)) > 1:
        return 'all'
    if not uniq_fam[0]:
        return
    return uniq_fam[0]

